import { axios } from '@/utils/request'
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'

const baseUrl = UPCLOUD_RDC_TMS_MAINDATA_SERVICE
// 列表页
export const listRemoteUrl = {
  url: baseUrl + '/route/findList',
  method: 'post'
}

// 新增
export const add = data => {
  return axios.post(baseUrl + '/route/save', data)
}
// 修改
export const update = data => {
  return axios.post(baseUrl + '/route/update', data)
}
// 删除
export const del = data => {
  return axios.post(baseUrl + '/route/delete', data)
}
// 获取详情
export const getDetail = params => {
  return axios.get(baseUrl + '/route/detail', { params })
}